IHPM(8)

NAME
ipmiutil hpm - PICMG HPM.1 Upgrade Agent

SYNOPSIS
ipmiutil hpm [-mxNUPREFJTVY] parameters

DESCRIPTION
This ipmiutil hpm subcommand updates HPM components using PICMG HPM.1 file This utility can use either the /dev/ipmi0 driver from OpenIPMI, the /dev/imb driver from Intel, the /dev/ipmikcs driver from valinux, direct user-space IOs, or the IPMI LAN interface if -N.

OPTIONS
Command line options are described below.

-m 002000
    Target a specific MC (e.g. bus 00, sa 20, lun 00). This could be used for PICMG or ATCA blade systems. The trailing character, if present, indicates SMI addressing if 's', or IPMB addressing if 'i' or not present.

-x  Causes extra debug messages to be displayed.

-N nodename
    Nodename or IP address of the remote target system. If a nodename is specified, IPMI LAN interface is used. Otherwise the local system management interface is used.

-U rmt_user
    Remote username for the nodename given. The default is a null username.

-P/-R rmt_pswd
    Remote password for the nodename given. The default is a null password.

-E  Use the remote password from Environment variable IPMI_PASSWORD.

-F drv_t
    Force the driver type to one of the followng: imb, va, open, gnu, landesk, lan, lan2, lan2i, kcs, smb. Note that lan2i means lan2 with intelplus. The default is to detect any available driver type and use it.

-J  Use the specified LanPlus cipher suite (0 thru 17): 0=none/none/none, 1=sha1/none/none, 2=sha1/sha1/none, 3=sha1/sha1/cbc128, 4=sha1/sha1/xrc4_128, 5=sha1/sha1/xrc4_40, 6=md5/none/none, ... 14=md5/md5/xrc4_40. Default is 3.

-T  Use a specified IPMI LAN Authentication Type: 0=None, 1=MD2, 2=MD5, 4=Straight Password, 5=OEM.

-V  Use a specified IPMI LAN privilege level. 1=Callback level, 2=User level, 3=Operator level, 4=Administrator level (default), 5=OEM level.

-Y  Yes, do prompt the user for the IPMI LAN remote password. Alternatives for the password are -E or -P.

PARAMETERS
hpm parameters

    check
        Check the target information.

    check filename
        Display both the existing target version and image version on the screen.

    download filename
        Download specified firmware.

    upgrade filename [all] [component x] [activate]
        Upgrade the firmware using a valid HPM.1 image file. If no option is specified, the firmware versions are checked first and the firmware is upgraded only if they are different.

        all
            Upgrade all components even if the firmware versions are the same (use this only after using "check" command).

        component x
            Upgrade only given component from the given file.
            component 0 - BOOT
            component 1 - RTK

        activate
            Activate new firmware right away.

    activate
        Activate the newly uploaded firmware.

    targetcap
        Get the target upgrade capabilities.

    compprop id opt
        Get the specified component properties. Valid component id: 0-7. Opt can be one of following:
        0 - General properties
        1 - Current firmware version
        2 - Description string
        3 - Rollback firmware version
        4 - Deferred firmware version

    abort
        Abort the on-going firmware upgrade.

    upgstatus
        Show status of the last long duration command.

    rollback
        Perform manual rollback on the IPM Controller firmware.

    rollbackstatus
        Show the rollback status.

    selftestresult
        Query the self test results.

EXAMPLES
ipmiutil hpm targetcap
Gets HPM target capabilities

ipmiutil hpm -N 192.168.1.1 -U root -P pswd download firmware.img
Downloads the HPM firmware version contained in firmware.img over IPMI LAN.

SEE ALSO
ipmiutil(8) ialarms(8) iconfig(8) idiscover(8) ievents(8) ifru(8) igetevent(8) ihealth(8) ilan(8) ireset(8) isel(8) isensor(8) iserial(8) isol(8) iwdt(8)

WARNINGS
See http://ipmiutil.sourceforge.net/ for the latest version of ipmiutil and any bug fix list.

COPYRIGHT
Copyright (C) 2010 Kontron America, Inc.

See the file COPYING in the distribution for more details regarding redistribution.

This utility is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY.

AUTHOR

Andy Cress <arcress at users.sourceforge.net>